import request from '@/utils/request'

// 查询驾驶员信息列表
export function listDriver_info(query) {
  return request({
    url: '/system/driver_info/list',
    method: 'get',
    params: query
  })
}

// 查询驾驶员信息详细
export function getDriver_info(userId) {
  return request({
    url: '/system/driver_info/' + userId,
    method: 'get'
  })
}

// 新增驾驶员信息
export function addDriver_info(data) {
  return request({
    url: '/system/driver_info',
    method: 'post',
    data: data
  })
}

// 修改驾驶员信息
export function updateDriver_info(data) {
  return request({
    url: '/system/driver_info',
    method: 'put',
    data: data
  })
}

// 删除驾驶员信息
export function delDriver_info(userId) {
  return request({
    url: '/system/driver_info/' + userId,
    method: 'delete'
  })
}
